## qtfeedback-opensource-src 5.0~git20130529

=== debian/changelog ===
qtfeedback-opensource-src (5.0~git20130529-0ubuntu4) utopic; urgency=medium

  * Rebuild against Qt 5.3, bump dependencies
  * Move include directories
  * debian/patches/fix_qt530_compilation.patch:
    - Define MODULE_PLUGIN_TYPES to fix compilation

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 12 May 2014 05:23:02 +0000

qtfeedback-opensource-src (5.0~git20130529-0ubuntu3) trusty; urgency=medium

  * Rebuild against Qt 5.2.1, bump dependencies
  * Use 'mkdir .git' to trigger header build for the snapshot release
  * Drop private headers like Debian

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 28 Feb 2014 10:15:03 +0000

qtfeedback-opensource-src (5.0~git20130529-0ubuntu2) trusty; urgency=low

  * debian/rules: Run tests 
  * debian/patches/disable_audio_playback_test.patch
    - Disable a test that succeeds locally but fails on a builder

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 30 Oct 2013 10:07:27 -0700

qtfeedback-opensource-src (5.0~git20130529-0ubuntu1) saucy; urgency=low

  * Initial release (LP: #1190213)
  * Fix pkgconfig Libs.private path (LP: #1125156)
  * debian/patches/revert_module_version.patch:
    - Keep module version non-zero

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 12 Jun 2013 15:35:24 +0300
