=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --list-missing --parallel --with pkgkde_symbolshelper --dbg-package=qtfeedback5-dbg

override_dh_auto_configure:
	mkdir .git
	qmake

override_dh_auto_install:
	dh_auto_install
	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;
	
	# Remove private stuff
	rm -rfv debian/tmp/usr/include/*/qt5/QtFeedback/*/QtFeedback/private/
	rm -fv $(CURDIR)/debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_*_private.pri
	
	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	
override_dh_auto_test:
	# Copy missing qmldir file to have tests running successfully
	cp -a src/imports/feedback/qmldir qml/QtFeedback/
	cd tests ; qmake ; xvfb-run -a make check QML2_IMPORT_PATH=../../../qml QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
	
override_dh_builddeb:
	dh_builddeb -- -Zxz
