## qtfeedback-opensource-src 5.0~git20180903.a14bd0b

=== debian/changelog ===
qtfeedback-opensource-src (5.0~git20180903.a14bd0b-7) unstable; urgency=medium

  * debian/*.symbols:
    + Remove Qt_5.x symbols from the symbols files. (Closes: #1114343).
  * debian/qtfeedback5-doc.doc-base:
    + Amend Index: field and reference correct entry-point file name.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 06 Sep 2025 12:10:58 +0200

qtfeedback-opensource-src (5.0~git20180903.a14bd0b-6) unstable; urgency=medium

  * debian/control:
    + Drop from B-D: libqt5gui5. This gets pulled in via qtbase5-dev and fixes
      FTBFS after shared lib has been renamed. Thanks to @doko for spotting
      this. (Closes: #1067492).
  * debian/rules:
    + Clean-up upstream code tree properly after build, so that rebuilds are
      possible. (Closes: #1046543).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 23 Mar 2024 06:59:55 +0100

qtfeedback-opensource-src (5.0~git20180903.a14bd0b-5) unstable; urgency=medium

  * Re-upload source-only to unstable as is. (Closes: #1020307).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Oct 2022 14:05:07 +0200

qtfeedback-opensource-src (5.0~git20180903.a14bd0b-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper
      now does this.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now
      the default.

  [ Mike Gabriel ]
  * debian/:
    + Re-add qtfeedback5-doc (formerly removed by UBports package maintainers).
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 18 Jul 2022 22:02:24 +0200

qtfeedback-opensource-src (5.0~git20180903.a14bd0b-3) unstable; urgency=medium

  * debian/rules:
    + Remove broken CMake file (maybe needs later investigation in more depth).
      (Closes: #1004705).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 31 Jan 2022 22:50:50 +0100

qtfeedback-opensource-src (5.0~git20180903.a14bd0b-2) unstable; urgency=medium

  * debian/rules:
    + Don't build and install API doc files with qtdoc if the architecture does
      not ship qt5-qtdoc. (Closes: #1002972).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Jan 2022 22:21:55 +0100

qtfeedback-opensource-src (5.0~git20180903.a14bd0b-1) unstable; urgency=medium

  * Re-create upstream Git snapshot (this time created with uscan rather than
    the self-scripted get-orig-source target in d/rules).
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/{rules,watch}:
    + Use uscan to obtain Git snapshot. Drop self-scripted (thanks to @onlyjob)
      get-orig-source target.
  * debian/copyright:
    + Update copyright attributions.
  * debian/libqt5feedback5.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Dec 2021 22:26:06 +0100
