=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Uploaders: Debian UBports Team <team+ubports@tracker.debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libpulse-dev,
-               libqt5gui5,
                pkg-kde-tools,
                qtbase5-dev (>= 5.5.1~),
                qtdeclarative5-dev (>= 5.5.1~),
@@ -16,9 +15,9 @@
                qttools5-dev-tools,
                xauth,
                xvfb,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: http://qt-project.org/
+Homepage: https://qt-project.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtfeedback.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtfeedback/
 
@@ -85,3 +84,18 @@
  WARNING: This module is not an official part of Qt 5, but instead a git
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
+
+Package: qtfeedback5-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 Feedback documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for the Qt 5 Feedback
+ module.
+ .
+ WARNING: This module is not an official part of Qt 5, but instead a git
+ snapshot of an ongoing development. The package is very likely to
+ change in a binary incompatible way, and no guarantees are given.
