## qtfeedback-opensource-src 5.0%7egit20130529

=== debian/changelog ===
qtfeedback-opensource-src (5.0~git20130529-0ubuntu11) wily; urgency=medium

  * Rebuild for GCC5 transition.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 14 Jul 2015 14:59:35 +0300

qtfeedback-opensource-src (5.0~git20130529-0ubuntu10) wily; urgency=medium

  * No-change rebuild against Qt 5.4.2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Jun 2015 14:42:54 +0000

qtfeedback-opensource-src (5.0~git20130529-0ubuntu9) vivid; urgency=medium

  * Add documentation packages (LP: #1435759)
  * Use QT_SELECT env var instead of bd:ing on qt5-default

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 25 Mar 2015 08:49:14 +0000

qtfeedback-opensource-src (5.0~git20130529-0ubuntu8) vivid; urgency=medium

  * Rebuild against Qt 5.4.1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Mar 2015 07:41:22 +0000

qtfeedback-opensource-src (5.0~git20130529-0ubuntu7) vivid; urgency=medium

  * Rebuild against Qt 5.4.0

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 06:46:31 +0000

qtfeedback-opensource-src (5.0~git20130529-0ubuntu6) vivid; urgency=medium

  * Switch to qml-module-* naming (LP: #1342031)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Dec 2014 12:37:18 +0000

qtfeedback-opensource-src (5.0~git20130529-0ubuntu5) vivid; urgency=medium

  * Rebuild against Qt 5.3.2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 28 Oct 2014 09:42:35 +0000
