=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: qtfeedback-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Debian UBports Team <team+ubports@tracker.debian.org>,
            Timo Jyrinki <timo@debian.org>,
-           Mike Gabriel <sunweaver@debian.org>,
+           Mike Gabriel <sunweaver@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libpulse-dev,
+               libqt5gui5,
                pkg-kde-tools,
+               qml-module-qtquick2 (>= 5.5.1~),
                qtbase5-dev (>= 5.5.1~),
                qtdeclarative5-dev (>= 5.5.1~),
-               qml-module-qtquick2 (>= 5.5.1~),
                qtmultimedia5-dev (>= 5.5.1~),
                qttools5-dev-tools,
                xauth,
-               xvfb,
-Standards-Version: 4.6.1
+               xvfb
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://qt-project.org/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtfeedback.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtfeedback/
+Vcs-Git: https://invent.kde.org/neon/qt/qtfeedback.git
+Vcs-Browser: https://invent.kde.org/neon/qt/qtfeedback
+Maintainer: Neon CI <neon@kde.org>
 
 Package: libqt5feedback5
 Architecture: any
@@ -73,8 +74,8 @@
 Package: qtfeedback5-examples
 Architecture: all
 Section: libdevel
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}
 Description: Qt 5 Feedback examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -84,18 +85,3 @@
  WARNING: This module is not an official part of Qt 5, but instead a git
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
-
-Package: qtfeedback5-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Description: Qt 5 Feedback documentation
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the documentation for the Qt 5 Feedback
- module.
- .
- WARNING: This module is not an official part of Qt 5, but instead a git
- snapshot of an ongoing development. The package is very likely to
- change in a binary incompatible way, and no guarantees are given.
