=== debian/rules ===
--- 
+++ 
@@ -27,8 +27,6 @@
 	fi
 
 override_dh_auto_configure:
-	cp -av doc doc.dpkg-bak
-
 	cd src/feedback/ && perl /usr/lib/qt5/bin/syncqt.pl -module QtFeedback -version $(QT_MODULE_VERSION) -outdir $(CURDIR) -builddir $(CURDIR) $(CURDIR) && cd - 1>/dev/null
 	dh_auto_configure
 
@@ -53,6 +51,10 @@
 
 	# Remove libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
+	
+	# Remove documentation files (for now...)
+	rm -fv  debian/tmp/usr/share/qt5/doc/qtfeedback.qch
+	rm -rfv debian/tmp/usr/share/qt5/doc/qtfeedback/
 
 override_dh_auto_test:
 	# Copy missing qmldir file to have tests running successfully
@@ -60,20 +62,5 @@
 	cd tests ; qmake ; make
 	cd tests ; xvfb-run -a make check QML2_IMPORT_PATH=../../../qml QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
 
-override_dh_auto_clean:
-	dh_auto_clean
-	if [ -d doc.dpkg-bak ]; then \
-	    rm -Rfv doc/; \
-	    mv doc.dpkg-bak doc; \
-	fi
-	for file in \
-	     qml/QtFeedback/plugins.qmltypes \
-	     qml/QtFeedback/qmldir \
-	     src/feedback/QtFeedback.version.in \
-	     ; \
-	do \
-	    rm -f "$${file}"; \
-	done
-
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..
