## qtfeedback-opensource-src 5.0+p24.04+vstable+git20250829.0235

=== debian/changelog ===
qtfeedback-opensource-src (5.0+p24.04+vstable+git20250829.0235-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 29 Aug 2025 02:35:52 +0000
